Apache JMeter

## org.apache.jmeter.report.gui.action
Class ReportCheckDirty

    java.lang.Object
      org.apache.jmeter.report.gui.action.AbstractAction
          org.apache.jmeter.report.gui.action.ReportCheckDirty

All Implemented Interfaces:
  ActionListener, EventListener, Command, HashTreeTraverser

    public class ReportCheckDirty

extends AbstractAction
implements HashTreeTraverser, ActionListener

Field Summary
`static String` `ADD_ALL`
`static String` `CHECK_DIRTY`
`static String` `REMOVE`
`static String` `SUB_TREE_LOADED`
`static String` `SUB_TREE_SAVED`

Constructor Summary
`ReportCheckDirty()`

Method Summary
`void` `actionPerformed(ActionEvent e)`
`void` `addNode(Object node, HashTree subTree)` The tree traverses itself depth-first, calling processNode for each object it encounters as it goes.
`void` `doAction(ActionEvent e)`
`Set<String>` `getActionNames()`
`void` `processPath()` Process path is called when a leaf is reached.
`void` `subtractNode()` Indicates traversal has moved up a step, and the visitor should remove the top node from it's stack structure.

Methods inherited from class org.apache.jmeter.report.gui.action.AbstractAction
`popupShouldSave`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CHECK_DIRTY

    public static final String CHECK_DIRTY

See Also:
  Constant Field Values

### SUB_TREE_SAVED

    public static final String SUB_TREE_SAVED

See Also:
  Constant Field Values

### SUB_TREE_LOADED

    public static final String SUB_TREE_LOADED

See Also:
  Constant Field Values

### ADD_ALL

    public static final String ADD_ALL

See Also:
  Constant Field Values

### REMOVE

    public static final String REMOVE

See Also:
  Constant Field Values

Constructor Detail

### ReportCheckDirty

    public ReportCheckDirty()

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Specified by:
    `actionPerformed` in interface `ActionListener`

### doAction

    public void doAction(ActionEvent e)

  Specified by:
    `doAction` in interface `Command`
  Overrides:
    `doAction` in class `AbstractAction`
  See Also:
    `Command.doAction(ActionEvent)`

### addNode

    public void addNode(Object node,
                        HashTree subTree)

  The tree traverses itself depth-first, calling processNode for each object it encounters as it goes.

  Specified by:
    `addNode` in interface `HashTreeTraverser`
  Parameters:
    `node` - the node currently encountered
    `subTree` - the HashTree under the node encountered

### subtractNode

    public void subtractNode()

  Indicates traversal has moved up a step, and the visitor should remove the top node from it's stack structure.

  Specified by:
    `subtractNode` in interface `HashTreeTraverser`

### processPath

    public void processPath()

  Process path is called when a leaf is reached. If a visitor wishes to generate Lists of path elements to each leaf, it should keep a Stack data structure of nodes passed to it with addNode, and removing top items for every subtractNode() call.

  Specified by:
    `processPath` in interface `HashTreeTraverser`

### getActionNames

    public Set<String> getActionNames()

  Specified by:
    `getActionNames` in interface `Command`
  Specified by:
    `getActionNames` in class `AbstractAction`
  See Also:
    `Command.getActionNames()`

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.